> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fossapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Crypto Wallet

> Create a new crypto wallet for a merchant

## Request

<ParamField header="x-api-key" type="string" required>
  API Key for authentication
</ParamField>

<ParamField body="network" type="string" required>
  The blockchain network for the crypto wallet. Must be one of: `solana`, `evm`
</ParamField>

<ParamField body="customerId" type="string" required>
  UUID of the customer for whom the wallet is being created
</ParamField>

### Request Example

```bash theme={null}
curl -X POST https://api-production.fossapay.com/api/v1/wallets/crypto/create \
  -H "x-api-key: your_api_key_here" \
  -H "Content-Type: application/json" \
  -d '{
    "network": "solana",
    "customerId": "550e8400-e29b-41d4-a716-446655440000"
  }'
```

```javascript theme={null}
const response = await fetch('https://api-production.fossapay.com/api/v1/wallets/crypto/create', {
  method: 'POST',
  headers: {
    'x-api-key': 'your_api_key_here',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    network: 'solana',
    customerId: '550e8400-e29b-41d4-a716-446655440000'
  })
});

if (!response.ok) {
  throw new Error(`Request failed: ${response.status} ${response.statusText}`);
}

const cryptoWallet = await response.json();
```

## Response

<ResponseExample>
  ```json Success Response theme={null}
  {
    "success": true,
    "message": "Crypto wallet created successfully",
    "data": {
      "walletId": "user:u3d",
      "address": "8a0BY97fxiX26Pe2ckc3ke...z5MtWBCVk4pEx96Sqeb",
      "network": "solana"
    }
  }
  ```
</ResponseExample>
